CREATE TABLE recipe_draft (
    id UUID PRIMARY KEY DEFAULT gen_random_uuid(),
    created TIMESTAMPTZ(6) NOT NULL,
    modified TIMESTAMPTZ(6),
    state INT NOT NULL,
    slug VARCHAR(255),
    title VARCHAR(255),
    preparation_time INT,
    cooking_time INT,
    total_time INT,
    raw_text TEXT,
    owner_id INT NOT NULL,
    main_image_id INT,
    inferences JSONB,
    FOREIGN KEY (owner_id) REFERENCES "user",
    FOREIGN KEY (main_image_id) REFERENCES image
);